Bug 1971222 - Review Request: rust-plotters-bitmap - Plotters Bitmap Backend
Summary: Review Request: rust-plotters-bitmap - Plotters Bitmap Backend
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1971211
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-13 03:00 UTC by Rémi Lauzier
Modified: 2021-07-02 01:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-02 01:08:25 UTC
Type: ---
Embargoed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Comment 1 Robert-André Mauchin 🐧 2021-06-13 15:51:34 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Fabio Valentini 2021-06-14 11:31:40 UTC
Please check whether the built packages actually install on rawhide. Last I checked, plotters 0.3 was utterly broken and used old versions of most dependencies, leading to problems with packaging, making me put the plotters 0.3 update on the back burner.

Comment 3 Gwyn Ciesla 2021-06-14 13:18:15 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-plotters-bitmap

Comment 4 Robert-André Mauchin 🐧 2021-06-15 16:46:24 UTC
(In reply to Fabio Valentini from comment #2)
> Please check whether the built packages actually install on rawhide. Last I
> checked, plotters 0.3 was utterly broken and used old versions of most
> dependencies, leading to problems with packaging, making me put the plotters
> 0.3 update on the back burner.

I did not detect any issue installing with fedora-review?

Comment 5 Fabio Valentini 2021-06-15 16:53:32 UTC
fedora-review has been producing rather inconsistent results for me lately, with sometimes erroring out on mock/dnf problems or just silently ignoring errors.

But it looks like plotters-bitmap has been updated upstream since I last looked at it, and it uses up-to-date dependencies now. Ignore my comment. :)

Comment 6 Fedora Update System 2021-06-23 03:14:11 UTC
FEDORA-2021-563df684f3 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-563df684f3

Comment 7 Fedora Update System 2021-06-24 16:55:19 UTC
FEDORA-2021-563df684f3 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-563df684f3 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-563df684f3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-07-02 01:08:25 UTC
FEDORA-2021-563df684f3 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.